Bug 216914 - crash in destroy_conntrack during shutdown
crash in destroy_conntrack during shutdown
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-22 12:24 EST by Steve Friedman
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:55:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash 1 (296.08 KB, image/jpeg)
2007-03-13 12:59 EDT, Per Winkvist
no flags Details
Crash 2 (latest kernel) (277.23 KB, image/jpeg)
2007-03-13 13:00 EDT, Per Winkvist
no flags Details

  None (edit)
Description Steve Friedman 2006-11-22 12:24:43 EST
Description of problem:

I have a Dell PowerEdge 400SC that has migrated from FC1, to FC5, and this
morning to FC6.  After bringing the system up to date, I loaded a set of
iptables rules that included ip_conntrack, ip_conntrack_ftp, and
ip_conntrack_h323.  I do not believe that there were any active connections
being tracked as I issued a reboot command a few minutes after updating the
firewall rules and got a kernel panic.


Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2849.fc6

How reproducible:
Tried it a second time, but it rebooted cleanly the second time.

Steps to Reproduce:
1. Updated firewall rules.
2. Issued reboot command.
3.
  
Actual results:

EIP:    0060:[<c04e99d1>]    Not tainted VLI
EFLAGS: 00010296    (2.6.18-1.2849.fc6 #1)
EIP is at list_del+0x9/0x6c
eax: 00200200  ebx: cdb9e9fc  ecx: 000bd1b1  edx: 00000001
esi: 00003fd8  edi: 000007fb  ebp: 00000000  esp: cd654f24
ds: 007b   cs: 007b   ss: 0068
Process modprobe (pid: 5233, ti=cd654000  task=ce00a8a0 task.ti=cd654000)
Stack: ffffff10 cdb9e948 00003fd8 cdb9e948 d0b30eac cdb9e948 d0b2ff96 d0b2f9ba
       00000020 00000020 00000000 cd654000 d0b300e3 d0b3b700 c043f601 635f7069
       746e6e6f 6b636172 00000000 cedb74c4 c0460b93 cdd69040 cedb74c4 c0461523
Call Trace:
 [<d0b30eac>] destroy_conntrack+0x7/0xc9 [ip_conntrack]
 [<d0b2ff96>] ip_ct_iterate_cleanup+0x2a/0x116 [ip_conntrack]
 [<d0b300e3>] ip_conntrack_cleanup+0x55/0xa7 [ip_conntrack]
 [<c043f601>] sys_delete_module+0x192/0x1b9
 [<c0404013>] syscall_call+0x7/0xb
DWARF2 unwinder stuck at syscall_call+0x7/0xb
Leftover inexact backtrace:
 =======================
Code: 8d 46 04 e8.....
EIP: [<c04e99d1>] list_Del+0x9/0x6c SS:ESP 0068:cd654f24
 <0>Kernel panic - not syncing: Fatal exception in interrupt



Expected results:
Clean close.

Additional info:
Comment 1 Chuck Ebbert 2007-02-12 15:07:01 EST
Please upgrade your kernel. Current release is 2.6.19-1_2895, and
2.6.19-1_2911 is available in testing.

Comment 2 Steve Friedman 2007-02-12 15:16:50 EST
The machines here are updated to the latest automatically; however, I have never
been able to reproduce the bug, so failure to generate the bug in the latest
kernel implies nothing.  If an error check was put in place to avoid the code
path(s) indicated the backtrace, then that is about all that can be done easily
(i.e., at least handle the corrupted data structure, even when lacking knowledge
of how the structure was corrupted in the first place).
Comment 3 Justin Willmert 2007-03-01 16:54:01 EST
I had a similar error happen under the .2911 release of the kernel, but it was a
xen kernel and it was for 64bit processors. I submitted a bug here:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=230640
Comment 4 Per Winkvist 2007-03-13 12:59:58 EDT
Created attachment 149950 [details]
Crash 1
Comment 5 Per Winkvist 2007-03-13 13:00:40 EDT
Created attachment 149951 [details]
Crash 2 (latest kernel)
Comment 6 Per Winkvist 2007-03-13 13:01:26 EDT
I've got this oops a couple of times with
- kernel-2.6.19-1.2895
- kernel-2.6.19-1.2911.6.5.fc6

It happens about 1/3 of the times during reboot/shutdown.
(See attached images for oops)
Comment 7 Chuck Ebbert 2007-03-14 17:47:18 EDT
Should be fixed in kernel 2.6.20-1.2925.fc6. Please test.
Comment 8 Bug Zapper 2008-04-04 00:52:29 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2008-05-06 12:55:04 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.